io.vertx.rxjava.ext.web.handler

## Class FormLoginHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.FormLoginHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class FormLoginHandler
      extends Object
      implements Handler<RoutingContext>

  Handler that handles login from a form on a custom login page.

  Used in conjunction with the `RedirectAuthHandler`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<FormLoginHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormLoginHandler(FormLoginHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FormLoginHandler` | `create(AuthProvider authProvider)` Create a handler
    `static FormLoginHandler` | `create(AuthProvider authProvider, String usernameParam, String passwordParam, String returnURLParam, String directLoggedInOKURL)` Create a handler
    `FormLoginHandler` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static FormLoginHandler` | `newInstance(FormLoginHandler arg)`
    `FormLoginHandler` | `setDirectLoggedInOKURL(String directLoggedInOKURL)` Set the url to redirect to if the user logs in directly at the url of the form login handler without being redirected here first
    `FormLoginHandler` | `setPasswordParam(String passwordParam)` Set the name of the form param used to submit the password
    `FormLoginHandler` | `setReturnURLParam(String returnURLParam)` Set the name of the session attrioute used to specify the return url
    `FormLoginHandler` | `setUsernameParam(String usernameParam)` Set the name of the form param used to submit the username

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<FormLoginHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### FormLoginHandler

          public FormLoginHandler(FormLoginHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public FormLoginHandler getDelegate()

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `arg0` - the event to handle

    - #### create

          public static FormLoginHandler create(AuthProvider authProvider)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
      Returns:
        the handler

    - #### create

          public static FormLoginHandler create(AuthProvider authProvider,
                                                String usernameParam,
                                                String passwordParam,
                                                String returnURLParam,
                                                String directLoggedInOKURL)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
        `usernameParam` - the value of the form attribute which will contain the username
        `passwordParam` - the value of the form attribute which will contain the password
        `returnURLParam` - the value of the session attribute which will contain the return url
        `directLoggedInOKURL` - a url to redirect to if the user logs in directly at the url of the form login handler without being redirected here first
      Returns:
        the handler

    - #### setUsernameParam

          public FormLoginHandler setUsernameParam(String usernameParam)

      Set the name of the form param used to submit the username
      Parameters:
        `usernameParam` - the name of the param
      Returns:
        a reference to this for a fluent API

    - #### setPasswordParam

          public FormLoginHandler setPasswordParam(String passwordParam)

      Set the name of the form param used to submit the password
      Parameters:
        `passwordParam` - the name of the param
      Returns:
        a reference to this for a fluent API

    - #### setReturnURLParam

          public FormLoginHandler setReturnURLParam(String returnURLParam)

      Set the name of the session attrioute used to specify the return url
      Parameters:
        `returnURLParam` - the name of the param
      Returns:
        a reference to this for a fluent API

    - #### setDirectLoggedInOKURL

          public FormLoginHandler setDirectLoggedInOKURL(String directLoggedInOKURL)

      Set the url to redirect to if the user logs in directly at the url of the form login handler without being redirected here first
      Parameters:
        `directLoggedInOKURL` - the URL to redirect to
      Returns:
        a reference to this for a fluent API

    - #### newInstance

          public static FormLoginHandler newInstance(FormLoginHandler arg)

Copyright © 2017. All rights reserved.